Bug 990956 - Man page of oo-admin-chk out of date.
Man page of oo-admin-chk out of date.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 05:35 EDT by Liang Xia
Modified: 2015-05-14 20:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:49:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-08-01 05:35:11 EDT
Description of problem:
-l  Specify  the  level  [0,  1,  2]  of  the checks to be performed.  Level ’0’ is
       default, and checks to see if any gears are present in mongo but don’t exist on the
       nodes  and  vice-versa.   Level ’1’ performs extra checks such as integrity of con-
       sumed_gears count.  Level ’2’ additionally performs  checks  for  application  data
       integrity in mongo and checks for unused and unreserved gear UIDs.
Which should be 0, 1

Version-Release number of selected component (if applicable):
devenv_3598

How reproducible:
always

Steps to Reproduce:
1.check the man page of oo-admin-chk
2.
3.

Actual results:
-l  Specify  the  level  [0,  1,  2]  of  the checks to be performed.  Level ’0’ is
       default, and checks to see if any gears are present in mongo but don’t exist on the
       nodes  and  vice-versa.   Level ’1’ performs extra checks such as integrity of con-
       sumed_gears count.  Level ’2’ additionally performs  checks  for  application  data
       integrity in mongo and checks for unused and unreserved gear UIDs.

Expected results:
Should be 0, 1

Additional info:
-l|--level [0, 1]
    Level '0' is default, and checks to see if any gears are present in mongo but don't exist on the nodes and vice-versa.
    Level '1' performs checks such as integrity of consumed_gears count
    Level '1' performs checks for application data integrity in mongo and checks for unused and unreserved gear UIDs
Comment 2 Liang Xia 2013-08-11 22:45:49 EDT
Verify fixed on devenv_3638. Move to VERIFIED.

# man oo-admin-chk
oo-admin-chk(8)                                                oo-admin-chk(8)

              oo-admin-chk

SYNOPSIS
       oo-admin-chk [-lhv]

DESCRIPTION
       This  utility  checks that the application records stored in the MongoDB datastore match the applications deployed on the node hosts.  It
       can be run without options on a broker as a check script.

OPTIONS
       -l Specify the level [0, 1] of the checks to be performed.  Level ’0’ is default, and checks to see if any gears are present in mongo but
       don’t  exist  on  the nodes and vice-versa.  Level ’1’ performs checks for consumed_gears count mismatches, application data integrity in
       mongo, and checks for unused and unreserved gear UIDs

       -h     Display a simple help dialog.

       -v     Enable verbose output during the run of the script

EXAMPLE
       $ oo-admin-chk -l 1

HINTS
       If there are no discrepancies, this command should exit with return code 0  and  emit  the  text  ’Success’  (unless  verbose  output  is
       requested).  Otherwise the discrepancies are listed.

SEE ALSO
       oo-admin-ctl-district(8),  oo-admin-move(8), oo-admin-chk(8), oo-accept-broker(8), oo-admin-ctl-app(8), oo-admin-ctl-domain(8), oo-admin-
       usage(8), oo-admin-ctl-user(8), oo-register-dns(8)

AUTHOR
       Adam Miller <admiller@redhat.com> - man page written for OpenShift Origin

                                08 August 2013                 oo-admin-chk(8)


# oo-admin-chk -h
== Synopsis

/usr/sbin/oo-admin-chk: Check all user applications

== Usage

/usr/sbin/oo-admin-chk OPTIONS

Options:
-v|--verbose
    Print information about each check being performed
-l|--level [0, 1]
    Level '0' is default, and checks to see if any gears are present in mongo but don't exist on the nodes and vice-versa.
    Level '1' performs checks for consumed_gears count mismatches, application data integrity in mongo, and checks for unused and unreserved gear UIDs
    
-h|--help
    Show Usage info

Note You need to log in before you can comment on or make changes to this bug.